#include <stdio.h>
#include "mtest.h"

int main(int argc, char **argv)
{
	char s[80], t[80];
	unsigned long argument;
	void *min;
	void *p;

	min = sbrk_init(20*1024*1024);
	rbm_show(stdout, min);
	while (fgets(s, 80, stdin)) {
		if (sscanf(s, "%s %x", t, &argument) != 2) {
			printf("error\n"); continue;
		}
		if (t[0] == 'a') {
			p = dlmalloc(argument);
			printf("alloc: %08x\n", (long)p);
		} else {
			printf("free: %08x\n", argument);
			dlfree((void *)argument);
		}
		rbm_show(stdout, min);
	}
	return 0;
}
